GET /bsus/api/v1/ssh_keys - Adaptive Applications - BlueCat Gateway - 22.1

BlueCat Server Update Services Administration Guide

ft:locale
en-US
Product name
BlueCat Gateway
Version
22.1

Description

Retrieves the list of SSH private keys that have been added to BSUS, for use when connecting to DNS/DHCP servers.

Parameters

None.

Responses

Status Description
Successful

Code: 200

Body:
[
  {
    "id":"string",
    "name":"string",
    "username": "testuser"
  }
]
Results:
  • id—a hashed ID for the SSH private key.
  • name—the user-facing label given to the SSH key.
  • username—the username for use when logging in with the SSH key.
Error

Code: 401

Unauthorized user.

Code: 500

Internal server error.

Body:
{
    "error": "string"
}

This can be caused when an unknown application error is encountered on the Server side. The API attempts to return additional details within the error parameter.